> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fiddler.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Model REST API Guide

> Dive into our guide to the Model REST API. Learn to list models, add models to a project, get details, update fields, generate models from samples, and more.

<CardGroup cols={2}>
  <Card title="Add a new model under a project" icon="plus" href="/sdk-api/rest-api/model/add-model">
    `POST /v3/models`
  </Card>

  <Card title="Delete a model" icon="trash" href="/sdk-api/rest-api/model/delete-model">
    `DELETE /v3/models/{model_id}`
  </Card>

  <Card title="Deploy a surrogate model" icon="plus" href="/sdk-api/rest-api/model/deploy-surrogate">
    `POST /v3/models/{model_id}/deploy-surrogate`
  </Card>

  <Card title="Details of all columns" icon="magnifying-glass" href="/sdk-api/rest-api/model/get-model-all-columns">
    `GET /v3/models/{model_id}/columns`
  </Card>

  <Card title="Generate model from the given data sample" icon="plus" href="/sdk-api/rest-api/model/model-factory">
    `POST /v3/model-factory`
  </Card>

  <Card title="Get details of a model" icon="magnifying-glass" href="/sdk-api/rest-api/model/get-model">
    `GET /v3/models/{model_id}`
  </Card>

  <Card title="getModelColumnV3" icon="magnifying-glass" href="/sdk-api/rest-api/model/get-model-column">
    `GET /v3/models/{model_id}/columns/{column_id}`
  </Card>

  <Card title="List models" icon="magnifying-glass" href="/sdk-api/rest-api/model/get-models">
    `GET /v3/models`
  </Card>

  <Card title="Update a surrogate model" icon="pen" href="/sdk-api/rest-api/model/deploy-surrogate-update">
    `PUT /v3/models/{model_id}/deploy-surrogate`
  </Card>

  <Card title="Update artifacts associated with the model" icon="pen" href="/sdk-api/rest-api/model/deploy-model-artifact-update">
    `PUT /v3/models/{model_id}/deploy-artifact`
  </Card>

  <Card title="Update the fields of a model" icon="pen" href="/sdk-api/rest-api/model/update-model">
    `PATCH /v3/models/{model_id}`
  </Card>

  <Card title="Upload artifacts associated with the model" icon="plus" href="/sdk-api/rest-api/model/deploy-model-artifact">
    `POST /v3/models/{model_id}/deploy-artifact`
  </Card>
</CardGroup>
